roles:
- [mon.a, mds.a, osd.0, osd.1, client.0]
- [mon.b, mon.c, osd.2, osd.3, client.1]
tasks:
- install: 
- ceph:
    conf:
      client:
        debug ms: 1
        rgw gc obj min wait: 15
      osd:
        debug ms: 1
        debug objclass : 20
      client.0: 
        rgw region: region0
        rgw zone: r0z1
        rgw region root pool: .rgw.region.0
        rgw zone root pool: .rgw.zone.0
        rgw gc pool: .rgw.gc.0
        rgw user uid pool: .users.uid.0
        rgw user keys pool: .users.0
        rgw log data: True
        rgw log meta: True
      client.1: 
        rgw region: region1
        rgw zone: r1z1
        rgw region root pool: .rgw.region.1
        rgw zone root pool: .rgw.zone.1
        rgw gc pool: .rgw.gc.1
        rgw user uid pool: .users.uid.1
        rgw user keys pool: .users.1
        rgw log data: False
        rgw log meta: False
- rgw:
    regions:
      region0:
        api name: api1
        is master: True
        master zone: r0z1
        zones: [r0z1]
      region1:
        api name: api1
        is master: False
        master zone: r1z1
        zones: [r1z1]
    client.0:
      system user:
        name: client0-system-user
        access key: 0te6NH5mcdcq0Tc5i8i2
        secret key: Oy4IOauQoL18Gp2zM7lC1vLmoawgqcYPbYGcWfXv
    client.1:
      system user:
        name: client1-system-user
        access key: 1te6NH5mcdcq0Tc5i8i3
        secret key: Py4IOauQoL18Gp2zM7lC1vLmoawgqcYPbYGcWfXw
- radosgw-agent:
    client.0:
      src: client.0
      dest: client.1
- radosgw-admin:
